# https://decapcms.org/docs/configuration-options/
backend:
  name: github
  repo: bishshi/myblogsource
  branch: master
  base_url: https://sveltia-cms-auth.bishsh2006.workers.dev/
site_url: "https://blog.biss.click"
logo_url: ""
locale: "zh_Hans"
media_folder: "source/images"
public_folder: "/images"
common_col_conf: &common_col_conf
  create: true
  slug: "{{fields.filename}}"
  sortable_fields:
    - "commit_date"
    - "title"
    - "date"
    - "updated"
  # https://decapcms.org/docs/widgets/
  fields:
    - label: "文件名"
      name: "filename"
      widget: "string"
    - label: "标题"
      name: "title"
      widget: "string"
    - label: "发表日期"
      name: "date"
      widget: "datetime"
      format: "YYYY-MM-DD HH:mm:ss"
      date_format: "YYYY-MM-DD"
      time_format: "HH:mm:ss"
    - label: "更新日期"
      name: "updated"
      widget: "datetime"
      format: "YYYY-MM-DD HH:mm:ss"
      date_format: "YYYY-MM-DD"
      time_format: "HH:mm:ss"
      required: false
    - label: "封面"
      name: "cover"
      widget: "image"
      required: false
    - label: "标签"
      name: "tags"
      widget: "string"
      required: false
    - label: "分类"
      name: "categories"
      widget: "string"
      required: false
    - label: "永久链接"
      name: "abbrlink"
      widget: "string"
      required: false
    - label: "摘要"
      name: "summary"
      widget: "text"
      required: false
    - label: "正文"
      name: "body"
      widget: "markdown"
    - label: "原创"
      name: "toc"
      widget: "boolean"
      default: true
    - label: "评论"
      name: "comments"
      widget: "boolean"
      default: true
collections:
  - name: "202508"
    label: "2025年8月"
    folder: "source/_posts/2025.08"
    preview_path: "{{abbrlink}}/"
    <<: *common_col_conf
  - name: "202509"
    label: "2025年9月"
    folder: "source/_posts/2025.09"
    preview_path: "{{abbrlink}}/"
    <<: *common_col_conf